Package wx :: Class SingleChoiceDialog

[frames | no frames]

## Type SingleChoiceDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                SingleChoiceDialog

A simple dialog with a single selection listbox.

Method Summary
SingleChoiceDialog | ``__init__`(parent, message, caption, choices, style, pos)` Constructor.
int | ``GetSelection`(self)` Get the index of the currently selected item.
String | ``GetStringSelection`(self)` Returns the string value of the currently selected item
| ``SetSelection`(self, sel)` Set the current selected item to sel

Property Summary
| `Selection`: See `GetSelection` and `SetSelection`
| `StringSelection`: See `GetStringSelection`
| `thisown`: The membership flag

Class Variable Summary

Instance Method Details

### __init__(parent, message, caption, choices=EmptyList, style=CHOICEDLG_STYLE, pos=DefaultPosition)
(Constructor)

Constructor. Use ShowModal method to show the dialog.

  Parameters:
    `parent`
    (type=Window)

    `message`
    (type=String)

    `caption`
    (type=String)

    `choices`
    (type=List)

    `style`
    (type=long)

    `pos`
    (type=Point)

  Returns:
    SingleChoiceDialog
  Overrides:
    `wx.Dialog.__init__`

### GetSelection(self)

Get the index of the currently selected item.

  Returns:
    int

### GetStringSelection(self)

Returns the string value of the currently selected item

  Returns:
    String

### SetSelection(self, sel)

Set the current selected item to sel

  Parameters:
    `sel`
    (type=int)

Property Details

### Selection

See `GetSelection` and `SetSelection`

  Get Method:
    `GetSelection`(self)
  Set Method:
    `SetSelection`(self, sel)

### StringSelection

See `GetStringSelection`

  Get Method:
    `GetStringSelection`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:06:47 2007 | http://epydoc.sf.net